org.jfree.chart.urls

## Class TimeSeriesURLGenerator

- java.lang.Object
- - org.jfree.chart.urls.TimeSeriesURLGenerator

All Implemented Interfaces:
  java.io.Serializable, XYURLGenerator

    public class TimeSeriesURLGenerator
    extends java.lang.Object
    implements XYURLGenerator, java.io.Serializable

A URL generator for time series charts.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeSeriesURLGenerator()` Default constructor.
`TimeSeriesURLGenerator(java.text.DateFormat dateFormat, java.lang.String prefix, java.lang.String seriesParameterName, java.lang.String itemParameterName)` Construct TimeSeriesURLGenerator overriding defaults.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
`java.lang.String` `generateURL(XYDataset dataset, int series, int item)` Generates a URL for a particular item within a series.
`java.text.DateFormat` `getDateFormat()` Returns a clone of the date format assigned to this URL generator.
`java.lang.String` `getItemParameterName()` Returns the item parameter name.
`java.lang.String` `getPrefix()` Returns the prefix string.
`java.lang.String` `getSeriesParameterName()` Returns the series parameter name.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeSeriesURLGenerator

    public TimeSeriesURLGenerator()

Default constructor.

#### TimeSeriesURLGenerator

    public TimeSeriesURLGenerator(java.text.DateFormat dateFormat,
                          java.lang.String prefix,
                          java.lang.String seriesParameterName,
                          java.lang.String itemParameterName)

Construct TimeSeriesURLGenerator overriding defaults.

Parameters:
  `dateFormat` - a formatter for the date (`null` not permitted).
  `prefix` - the prefix of the URL (`null` not permitted).
  `seriesParameterName` - the name of the series parameter in the URL (`null` not permitted).
  `itemParameterName` - the name of the item parameter in the URL (`null` not permitted).

### Method Detail

#### getDateFormat

    public java.text.DateFormat getDateFormat()

Returns a clone of the date format assigned to this URL generator.

Returns:
  The date format (never `null`).
Since:
  1.0.6

#### getPrefix

    public java.lang.String getPrefix()

Returns the prefix string.

Returns:
  The prefix string (never `null`).
Since:
  1.0.6

#### getSeriesParameterName

    public java.lang.String getSeriesParameterName()

Returns the series parameter name.

Returns:
  The series parameter name (never `null`).
Since:
  1.0.6

#### getItemParameterName

    public java.lang.String getItemParameterName()

Returns the item parameter name.

Returns:
  The item parameter name (never `null`).
Since:
  1.0.6

#### generateURL

    public java.lang.String generateURL(XYDataset dataset,
                               int series,
                               int item)

Generates a URL for a particular item within a series.

Specified by:
  `generateURL` in interface `XYURLGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `series` - the series number (zero-based index).
  `item` - the item number (zero-based index).
Returns:
  The generated URL.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this generator for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.